Summary: 	PostScript and PDF previewer
Name: 		gsview
Version: 	4.7
Release: 	1
Copyright: 	Aladdin Free Public License, Ghostgum Software Pty Ltd
Group: 		Graphics
Source0: 	ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/%{name}-%{version}.tar.gz
Source1: 	%{name}.desktop
Patch0:		%{name}1.patch
Patch1:         %{name}2.patch
Requires: 	ghostscript >= 8.51 libgs.so
BuildRequires: 	ghostscript-devel >= 8.51 libgs.so
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
GSview is a graphical interface for Ghostscript. Ghostscript is an interpreter 
for the PostScript page description language used by laser printers. For docum
ents following the Adobe PostScript Document Structuring Conventions, GSview 
allows selected pages to be viewed or printed. GSview requires Ghostscript 
7.07 - 8.51.

Includes epstool for creating of extracting preview bitmaps in EPS files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make -f srcunx/unx.mak RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
        GSVIEW_BASE=%{_prefix}          \
        GSVIEW_BINDIR=%{_bindir}        \
        GSVIEW_MANDIR=%{_mandir}        \
        GSVIEW_DOCPATH=%{_docdir}       \
        GSVIEW_ETCPATH=%{_sysconfdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}
install -d $RPM_BUILD_ROOT%{_docdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cd $RPM_BUILD_DIR/gsview-%{version}
make -f srcunx/unx.mak install \
        GSVIEW_BASE=$RPM_BUILD_ROOT%{_prefix}           \
        GSVIEW_BINDIR=$RPM_BUILD_ROOT%{_bindir}         \
        GSVIEW_MANDIR=$RPM_BUILD_ROOT%{_mandir}         \
        GSVIEW_DOCPATH=$RPM_BUILD_ROOT%{_docdir}        \
        GSVIEW_ETCPATH=$RPM_BUILD_ROOT%{_sysconfdir}

rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/gvx*.htm
cp bin/gvxen.htm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Graphics

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/*
